{
	saved_FirstTime [1]
	
	Init[()
	{
		if(saved_FirstTime = 1)
		{
			saved_FirstTime = 0;
			SetInvulnerable(true);
			SetNationality(2);
			GiveWeapon(47);
			SetRunning();
			PlayAnimation(7);
		}			
	}]
	
	DelayReached[(x)
	{
		if(x = 10)
		{
			FollowPath( "path1", 0);
			FollowPathCallback(127, "GoHide");		
		}
		if(x = 20)
		{
			Level.GetPlayer().PlaySound(167);
			
			
			SetCrouching();
			
			Delay(2, 30);	
		}
		if(x = 30)
		{
			StopTurnTo();
			// PlaySound();
			SetRunning();
			SetState_Patrol(0);
			SetAttackDistance (14, 10);
			SetLineOfSight(2, 55);
			SetWalkToDist(7);
			FollowPath("fleepath_1", 0);
			FollowPathCallback(127, "AdvancePath", 2);	
		}	
	}]
	
	AdvancePath[(x)
	{
		if(x = 2)
		{
			Level.Log("  Fleepath_2_enable +1");
			Level.saved_fleepath_2_enable = Level.saved_fleepath_2_enable +1;
			
		}
		if(x = 3)
		{
			Level.Log(" Fleepath_3_enable +1");
			Level.saved_fleepath_3_enable = Level.saved_fleepath_3_enable +1;
				
		}
		if(x = 4)
		{
			Level.Log(" Fleepath_4_enable +1");	
			Level.saved_fleepath_4_enable = Level.saved_fleepath_4_enable +1;
			
		}
		if(x = 5)
		{
			Level.Log("  Fleepath_5_enable +1  ");
			Level.saved_fleepath_5_enable = Level.saved_fleepath_5_enable +1;
			
		}	
		if(x = 6)
		{
			Level.Log("  Fleepath_6_enable +1  ");
			Level.saved_fleepath_6_enable = Level.saved_fleepath_6_enable +1;
			
		}
			
	}]
	
       	BombPlanted[() 
       	{
       		 Level.GetPlayer().PlaySound(166); 
       		 Delay(3, 20);  	
       	}]
	
	Fleepath2[()
	{
		FollowPath("fleepath_2", 0);
		FollowPathCallback(127, "TurnToLocation", 20077, 25600);
		FollowPathCallback(127, "AdvancePath", 3);		
	}]
	
	Fleepath3[()
	{
		FollowPath("fleepath_3", 0);
		FollowPathCallback(127, "AdvancePath", 4);		
	}]
	
	Fleepath4[()
	{
		Level.Log("Am I getting here to Fleepath4?");
		FollowPath("fleepath_4", 0);
		FollowPathCallback(127, "AdvancePath", 5);			
	}]
	
	Fleepath5[()
	{
		FollowPath("fleepath_5", 0);
		FollowPathCallback(127, "AdvancePath", 6);			
	}]
	
	Fleepath6[()
	{
		FollowPath("fleepath_6", 0);
//		FollowPathCallback(127, "TurnTo", Level.GetPlayer());
		FollowPathCallback(127, "TurnToPlayerFunc");
		FollowPathCallback(127, "quickie");
					
	}]

	TurnToPlayerFunc[()
	{
		TurnToEntity(Level.GetPlayer());
	}]
	
	GiveInstructions[()
	{
		Level.GetPlayer().SetFrozen (true);
		StopFollowingPath();
		TurnToEntity(Level.GetPlayer());
		Level.GetPlayer().PlaySound(164);
		Delay(5, 10);	
	}]
	
	GoHide[()
	{
		Level.SetMessage( 152, 100, 30);
		StopFollowingPath();
		SetPosition(2688, 3456, 128);
		Level.GetPlayer().SetFrozen (false);	
	}]
	
	GoTrain[()
	{	
		SetPosition(14387, 22528, 135);
		TurnTo(Level.GetPlayer());
		PlayAnimation(29);	
	}]
	
	PlantBomb[()
	{
		PlayAnimation(7);
		Level.GetPlayer().PlaySound(165);
		TurnTo(Level.GetPlayer());
		Level.AdvanceObjectives(1);		
	}]
	
	InCarPrompt[()
	{
		Level.GetPlayer().PlaySound(168);
		Level.AdvanceObjectives(1);	
	}]
	
	quickie[()
	{
		Level.saved_incarenable = 1;	
		Level.GetEntity("nazicar").CarOn();
	}]
	
	
			
}